import pgzrun
import random
import sys
#import pygame


WIDTH, HEIGHT = 1200, 600
#screen = pygame.display.set_mode((WIDTH, HEIGHT))
#pygame.display.set_caption("choose_own_adventure.py")

TITLE = 'choose_own_adventure'


# Title Screen as an "Actor 
game = Actor('title')
###Other actors/images
#title screen actors
choose_own_adventure = Actor('choose_your_own_adventure')
choose_own_adventure.pos = (600,250)
Enter = Actor('enter')
Enter.pos = (650,450)
Wizard = Actor('wizard')
Wizard.pos = (600,350)
girl = Actor('girl')
girl.pos = (600,350)
snowball = Actor('snowball')
snowball.pos = (680,380)


#animations
x_position = 0
y_position = 0
x_speed = 1/30
y_speed = 1/30
snowstorm = Actor('frame_00_delay-0.1s.gif')
snowstorm.frames = ['frame_00.gif', 'frame_01.gif', 'frame_02.gif', 'frame_03.gif',
                     'frame_04.gif', 'frame_05.gif', 'frame_06.gif', 'frame_07.gif',
                     'frame_08.gif', 'frame_09.gif', 'frame_10.gif', 'frame_11.gif']
snowstorm.pos = (x_position, y_position)
snowstorm.current_frame = 0
snowstorm.direction = 1
 

#Screen 1 actors

text_box = Actor('text_box')
text_box.pos = (600, 250)

#                0         1         2        3         4         5          6        7        8          9         10       11        12         13         14          15      1 6        1 7         18            19         20           
game.state = ['title', 'scene1', 'scene2', 'scene3', 'scene4', 'scene5', 'scene6', 'scene7','scene7a', 'scene8', 'scene8a',
              'scene9','scene9a', 'scene10', 'scene11', 'scene11a', 'scene12', 'scene12a', 'scene13', 'scene14', 'scene15',
              'scene15a','scene16', 'scene16a', 'scene17', 'scene18', 'scene99', 'scene99A', 'scene99a','scene99b','scene99aa',
              'scene98', 'scene98a','scene98aa','scene98AA','scene98ba2','scene98b','scene98B','scene97', 'scene96', 'scene95',
              'scene94', 'scene93', 'scene92', 'scene93a', 'gameover']

game.current_state = game.state[0]


#backgrounds
background_1 = Actor('scene1') #bedroom
background_gameover = Actor('gameover')
background_WF = Actor('winter_forest')
background_town = Actor('town')
background_sunny_town = Actor('sunny_town')

def draw_main_menu():
    game.draw()
    choose_own_adventure.draw()
    Enter.draw()
   
def draw_game_over():
    screen.blit('game-over', (200, 200))
    screen.blit('press-enter', (300, 500))
    
def draw():
    screen.clear()
    snowstorm.pos = (x_position, y_position)
    snowstorm.draw()
    animate_snowstorm()
    
    # Show the main menu based on the game's "state"
    if game.current_state == 'title':
        draw_main_menu()
        #screen.draw.text("Choose your OWN Adventure", (300,100), fontsize=60, color = "yellow")
        #screen.draw.text("Press Enter to Start", (400,300), fontsize=60, color = "white") 

    # Uh oh...game over...
    elif game.current_state == 'gameover':
        #draw_game_over()
        screen.clear()
        background_gameover.draw()
        screen.draw.text("Game Over", (400,250), fontname = "dogicabold", fontsize=50, color = "blue")
        screen.draw.text("Press enter to return", (260,450), fontname = "dogicabold", fontsize=35, color = "black")
        screen.draw.text("to the main screen", (320,500), fontname = "dogicabold", fontsize=35, color = "black")
    #1st scene
    elif game.current_state == 'scene1':
        screen.clear()
        background_1.draw()
        text_box.draw()
        screen.draw.text("Do you decide to go on an adventure today? (y/n)", (80,450), fontname = "dogicabold", fontsize=15, color = "black")

            
    #2nd Scene
    elif game.current_state == 'scene2':
        screen.clear()
        background_town.draw()
        text_box.draw()
        screen.draw.text("After deciding to go on an adventure you walk outside only to be", (80,450), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("greeted by a harsh chill. Where'd this snow come from, yesterday", (80,475), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("was one of the hottest days you could remember.  Do you decide to", (80,500), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("grab your coat? (y/n)", (80,525), fontname = "dogicabold", fontsize=15, color = "black")
    
    #3rd scene
    elif game.current_state == 'scene3':
        screen.clear()
        background_town.draw()
        girl.draw()
        text_box.draw()
        
        screen.draw.text("As you put on your jacket you feel the difference immediately.", (80,450), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("Returning to the outside you are approached by a young girl.", (80,475), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("“Mister could you please cut my family some wood for our hearth?", (80,500), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("My parents are ill and I fear for their health if they do not find", (80,525), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("some warmth.” How do you respond? (y/n)", (80,550), fontname = "dogicabold", fontsize=15, color = "black")
    #4th Scene
    elif game.current_state == 'scene4':
        screen.clear()
        background_town.draw()
        girl.draw()
        text_box.draw()
        
        screen.draw.text("“Sure” you reply. “Really Mister thank you thank you!  Here is", (80,450), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("an axe you can use.” She says handing you a large hatchet. You", (80,475), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("take the young girl’s hatchet and venture off into the forest. (space)", (80,500), fontname = "dogicabold", fontsize=15, color = "black")
    #5th Scene  
    elif game.current_state == 'scene5':
        screen.clear()
        background_WF.draw()
        text_box.draw()
        screen.draw.text("Due to the snow surrounding you the original brisk walk has now become", (80,450), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("rather a hike. Still not wanting to upset the poor girl and her family,", (80,475), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("you push forth. After walking for some time you come to a clearing in", (80,500), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("the forest and start to chop at a tree.  As your first tree falls", (80,525), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("a strange man emerges from the thickets. (space)", (80,550), fontname = "dogicabold", fontsize=15, color = "black")
    #6th Scene
    elif game.current_state == 'scene6':
        screen.clear()
        background_WF.draw()
        snowstorm.draw()
        Wizard.draw()
        text_box.draw()
        screen.draw.text("“Who are you?” You call out to the man. “Isn’t it warm out today?”", (80,450), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("He retorts. You stare waiting to see what he does next. “I think it", (80,475), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("should be a little cooler” With that the man raises his arms", (80,500), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("summoning a snowstorm. The temperature drops as you pull your", (80,525), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("jacket close to your body. “Isn’t that better?” asks the man. (y/n)", (80,550), fontname = "dogicabold", fontsize=15, color = "black")
        
    elif game.current_state == 'scene7':
        screen.clear()
        background_WF.draw()
        Wizard.draw()
        text_box.draw()
        screen.draw.text("“No” you reply. The man's demeanor changes, and he reveals to you", (80,450), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("his plan to freeze over the entire world starting with your town. ", (80,475), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("“Due to you people, winter is being driven farther and farther back,", (80,500), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("sometimes not even coming at all. Well, I say invite the cold,", (80,525), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("I'll freeze the entire world in a block of ice.” (Space)", (80,550), fontname = "dogicabold", fontsize=15, color = "black")
        
    elif game.current_state == 'scene7a':
        screen.clear()
        background_WF.draw()
        Wizard.draw()
        text_box.draw()
        screen.draw.text("With that he lunges at you icicle in hand. Do you", (80,450), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("jump out of the way? (y/n)", (80,475), fontname = "dogicabold", fontsize=15, color = "black")

    elif game.current_state == 'scene8':
        screen.clear()
        background_WF.draw()
        Wizard.draw()
        text_box.draw()
        screen.draw.text("You leap to the side narrowly avoiding the icicle. The Wizard", (80,450), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("steps back shocked by your agility giving you a moment to assess", (80,475), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("your situation and notice that his left hand is covered in", (80,500), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("rings. The only semblance of a weapon you have is the girl’s", (80,525), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("hatchet but you doubt you could use it to cause any harm (space)", (80,550), fontname = "dogicabold", fontsize=15, color = "black")   
        
    elif game.current_state == 'scene8a':
        screen.clear()
        background_WF.draw()
        Wizard.draw()
        text_box.draw()
        screen.draw.text("to the Wizard. Still it might be better than nothing. Do you ", (80,450), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("throw the hatchet at the Wizard? (y/n)", (80,475), fontname = "dogicabold", fontsize=15, color = "black")
        
    elif game.current_state == 'scene10':
        screen.clear()
        background_WF.draw()
        Wizard.draw()
        snowball.draw()
        text_box.draw()
        screen.draw.text("You Brandish the only weapon you have but decide not to throw it.", (80,450), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("The Wizard looks at the axe and laughs. “You think that might save", (80,475), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("you?” Can it save you from this? The Wizard starts to conjure a", (80,500), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("snowball the size of a boulder while all you can do is watch.", (80,525), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("However, you do notice that as he is doing this the rings (space)", (80,550), fontname = "dogicabold", fontsize=15, color = "black")
     
    elif game.current_state == 'scene11':
        screen.clear()
        background_WF.draw()
        Wizard.draw()
        snowball.draw()
        text_box.draw()
        screen.draw.text("on his fingers start to glow. Perhaps they might be connected to", (80,450), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("his powers? “With this I’ll bury you then watch as that entire town", (80,475), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("of yours becomes encased in ice.” You watch as the boulder, now the", (80,500), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("size of a large house, is hurled at you. With only a split second", (80,525), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("to act you must decide if you want to try and cleave the (space)", (80,550), fontname = "dogicabold", fontsize=15, color = "black")
        
    elif game.current_state == 'scene11a':
        screen.clear()
        background_WF.draw()
        Wizard.draw()
        snowball.draw()
        text_box.draw()
        screen.draw.text("snow boulder with your axe (y) or attempt to roll out of the", (80,450), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("way (n) Which decision do you make? (y/n)", (80,475), fontname = "dogicabold", fontsize=15, color = "black")

    elif game.current_state == 'scene12':
        screen.clear()
        background_WF.draw()
        Wizard.draw()
        text_box.draw()
        screen.draw.text("You once again successfully evade the wizard’s attack. Dumbfounded", (80,450), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("by what has happened the Wizard turns his back to you and starts", (80,475), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("stomping his feet up and down. “It’s okay, he just got lucky” He", (80,500), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("whispers to himself.  Seeing this as an opportunity you decide to", (80,525), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("try and close the gap. After all you won’t be the one to (space)", (80,550), fontname = "dogicabold", fontsize=15, color = "black")

    elif game.current_state == 'scene12a':
        screen.clear()
        background_WF.draw()
        Wizard.draw()
        text_box.draw()
        screen.draw.text("let your town freeze over. Surprised the Wizard backs up but you and", (80,450), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("him are face to face now. Stealing a glance at the man’s rings you", (80,475), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("see that they are all covered in glyphs. Seeing your eyes meet his", (80,500), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("rings he covers his hand. You know now that the rings must be the", (80,525), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("source of his power.The distance having been closed, the (space)", (80,550), fontname = "dogicabold", fontsize=15, color = "black")
        
    elif game.current_state == 'scene13':
        screen.clear()
        background_WF.draw()
        Wizard.draw()
        text_box.draw()
        screen.draw.text("ice wizard now fumbles about with himself trying to create a gap", (80,450), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("between you two until he falls over. Steadying the hatchet you aim", (80,475), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("to try and cut off his left hand. Do you cut off his hand? (y/n)", (80,500), fontname = "dogicabold", fontsize=15, color = "black")

    elif game.current_state == 'scene14':
        screen.clear()
        background_WF.draw()
        Wizard.draw()
        text_box.draw()
        screen.draw.text("Your hatchet strikes the Wizard’s wrist but is met with a ‘pang’,", (80,450), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("as if you had just hit a block of ice. However, it seems that this", (80,475), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("strike has temporarily immobilized the wizard as there is no", (80,500), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("sense of movement from him. Do you reach for the wizard’s rings?", (80,525), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("(y/n)", (80,550), fontname = "dogicabold", fontsize=15, color = "black")

    elif game.current_state == 'scene15':
        screen.clear()
        background_WF.draw()
        Wizard.draw()
        text_box.draw()
        screen.draw.text("Gingerly, you reach down and pull the rings from the Wizard’s hand.", (80,450), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("Oddly enough they feel hot in your palm. Following a brief pause, the", (80,475), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("storm subsides, and the snow starts to melt. “No what have you done!?”", (80,500), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("The wizard screams. As the sun comes out, you can now see that the", (80,525), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("man before you is now frail and bony. Feeling the heat, (space)", (80,550), fontname = "dogicabold", fontsize=15, color = "black")

    elif game.current_state == 'scene15a':
        screen.clear()
        background_WF.draw()
        Wizard.draw() 
        text_box.draw()
        screen.draw.text("he writhes about on the ground screaming. You decide to leave him.", (80,450), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("be. Without his rings he is powerless. You stick the artifacts in", (80,475), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("your pocket, grab the fallen tree and head back to town. (space)", (80,500), fontname = "dogicabold", fontsize=15, color = "black")
        
    elif game.current_state == 'scene16':
        screen.clear()
        background_sunny_town.draw()
        girl.draw()
        text_box.draw()
        screen.draw.text("The walk back to town is much easier now that the snow has gone away.", (80,450), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("Wondering around town you find the girl’s house and give her your fire", (80,475), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("wood. “Wow thanks mister she says, I don’t think I’ll really need this", (80,500), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("anymore though since the snow has gone away. I should really thank", (80,525), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("whoever got rid of the snow. Don’t ya think?” Exhausted from (space)", (80,550), fontname = "dogicabold", fontsize=15, color = "black")

    elif game.current_state == 'scene16a':
        screen.clear()
        background_sunny_town.draw()
        girl.draw()
        text_box.draw()
        screen.draw.text("the day, you smile, say “yeah”, and head back home. (space)", (80,450), fontname = "dogicabold", fontsize=15, color = "black")

    elif game.current_state == 'scene17':
        screen.clear()
        background_1.draw()
        text_box.draw()
        screen.draw.text("Once home you take out the rings, examining them. You wonder how", (80,450), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("these rings had the power to create a snowstorm but all you do is", (80,475), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("wonder because you are so tired. You stick the rings in your", (80,500), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("drawer and decide to take a long-deserved slumber.", (80,525), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("THANKS FOR PLAYING!!! Press Enter to play again", (100,550), fontname = "dogicabold", fontsize=20, color = "blue")

    elif game.current_state == 'scene9':
        screen.clear()
        background_WF.draw()
        Wizard.draw()
        text_box.draw()
        screen.draw.text("You throw the hatchet but the Wizard, with a flick of his wrist, casts", (80,450), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("a magical gust, freezing the axe in middair. You watch in dismay as it", (80,475), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("then falls to the ground, becoming lost in the blanket of snow. “Hah a", (80,500), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("futile attempt. Did you really think that would work?” The Wizard", (80,525), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("sneers at you. He walks over the axe, pulling it out of the (space)", (80,550), fontname = "dogicabold", fontsize=15, color = "black")

    elif game.current_state == 'scene9a':
        screen.clear()
        background_WF.draw()
        Wizard.draw()
        text_box.draw()
        screen.draw.text("the snow and tosses it in front of your feet. “Let’s make it a little", (80,450), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("interesting at least.” The Wizard's cockiness just might provide you", (80,475), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("with the advantage you need. Do you pick up the axe? (y/n)", (80,500), fontname = "dogicabold", fontsize=15, color = "black")

    elif game.current_state == 'scene18':
        screen.clear()
        background_WF.draw()
        Wizard.draw()
        snowball.draw()
        text_box.draw()
        screen.draw.text("You pick up your weapon, this time deciding not to throw it.", (80,450), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("The Wizard laughs at you. “You think that might actually save", (80,475), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("you?” Can it save you from this? The Wizard starts to conjure a", (80,500), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("snowball the size of a boulder while all you can do is watch.", (80,525), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("However, you do notice that as he is doing this the rings (space)", (80,550), fontname = "dogicabold", fontsize=15, color = "black")


####BAD ENDING PATHWAYS
    elif game.current_state == 'scene99':
        screen.clear()
        background_town.draw()
        Wizard.draw()
        text_box.draw()
        screen.draw.text("You decide to tough out the cold.  Your breath visible from", (80,450), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("the chilly air you saunter through town.  All of a sudden", (80,475), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("you are approached by a strange looking man his skin almost", (80,500), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("blueish. ‘Why are you not wearing a jacket?’ he asks in a raspy", (80,525), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("tone. He too is wearing no coat but shows no signs of (space)", (80,550), fontname = "dogicabold", fontsize=15, color = "black")
        
    elif game.current_state == 'scene99A':
        screen.clear()
        background_town.draw()
        Wizard.draw()
        text_box.draw()
        screen.draw.text("being cold. ‘do you think yourself some kind of tough guy?’", (80,450), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("How do you answer? (y/n)", (80,475), fontname = "dogicabold", fontsize=15, color = "black")

    elif game.current_state == 'scene99a':
        screen.clear()
        background_town.draw()
        Wizard.draw()
        text_box.draw()
        screen.draw.text("You answer strongly ignoring the growing numbness in your", (80,450), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("in your fingers. The man smiles. ‘Perhaps would you like to", (80,475), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("embrace the frost?”  He asks outstretching his bony figures.", (80,500), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("The wind starts to pick up and the snow begins to fall harder.", (80,525), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("Do you accept his outstretched hand? (y/n)", (80,550), fontname = "dogicabold", fontsize=15, color = "black")

    elif game.current_state == 'scene99b':
        screen.clear()
        background_town.draw()
        Wizard.draw()
        text_box.draw()
        screen.draw.text("“Fool, then go put on a jacket” He walks away without another word.", (80,450), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("The unsettling interaction has made you only colder so you decide", (80,475), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("to grab your jacket. (space)", (80,500), fontname = "dogicabold", fontsize=15, color = "black")
     
    elif game.current_state == 'scene99aa':
        screen.clear()
        background_town.draw()
        Wizard.draw()
        text_box.draw()
        screen.draw.text("You accept his hand but know you have made a grave mistake.  As your", (80,450), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("fingers touch, yours begin to form into icicles. “Your frozen body ", (80,475), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("will become part of my movement as the winds bear witness to the", (80,500), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("cries of a world pushed to the brink by humanity.” You feel your", (80,525), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("body start to freeze over and slowly the cold is too much. (space)", (80,550), fontname = "dogicabold", fontsize=15, color = "black")

    elif game.current_state == 'scene98':
        screen.clear()
        background_town.draw()
        girl.draw()
        text_box.draw()
        screen.draw.text("“Sorry I am a busy man today and have no time to cut trees.” You", (80,450), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("say even though both are lies. The girl looks up at you with puppy", (80,475), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("dog eyes. “Plzzzz” she says her hands coming together in a plead.", (80,500), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("(y/n)", (80,525), fontname = "dogicabold", fontsize=15, color = "black")
        
    elif game.current_state == 'scene98a':
        screen.clear()
        background_town.draw()
        girl.draw()
        text_box.draw()
        screen.draw.text("“I said no, ask someone else.”  You wander off from the girl. (space) ", (80,450), fontname = "dogicabold", fontsize=15, color = "black")
        
    elif game.current_state == 'scene98aa':
        screen.clear()
        background_town.draw()
        text_box.draw()
        screen.draw.text("“Such a cold heart, perhaps the weather has been getting to you.”", (80,450), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("A voice says. You try to turn around but suddenly you feel your", (80,475), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("body start to freeze. Unable to move panic starts to build within", (80,500), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("you. “Why did you not help the girl… such a sad world we live in.”", (80,525), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("A chill goes down your spine. You look around trying to find (space)", (80,550), fontname = "dogicabold", fontsize=15, color = "black")
        
    elif game.current_state == 'scene98AA':
        screen.clear()
        background_town.draw()
        
        text_box.draw()
        screen.draw.text("someone to help you but it’s in vain. “Everyone’s inside, too", (80,450), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("cold out.....” The voice hisses.  All of a sudden you feel a", (80,475), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("sharp pain in your chest and your blood turns to ice. Slowly", (80,500), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("unable to do anything about your situation, your body", (80,525), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("succumbs to the freezing temperature. (space)", (80,550), fontname = "dogicabold", fontsize=15, color = "black")
       
    elif game.current_state == 'scene97':
        screen.clear()
        background_WF.draw()
        snowstorm.draw()

        Wizard.draw()
        text_box.draw()

        screen.draw.text("“Ehh… wise guy huh. Well, is it funny if I do this?” He raises his", (80,450), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("arms making the snow come down thicker. “Not so funny now is it?” He", (80,475), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("taunts. Realizing he is the one responsible for the snow, you try to", (80,500), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("tackle him but you can't move your legs. In fact, you realize you", (80,525), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("can't move at all and slowly everything becomes still and cold.(space)", (80,550), fontname = "dogicabold", fontsize=15, color = "black")

    elif game.current_state == 'scene96':
        screen.clear()
        background_WF.draw()
        Wizard.draw()
        text_box.draw()
        screen.draw.text("Stunned by the events swirling around you, you forget to move out of", (80,450), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("the way and watch as the man gets closer and closer until he is on", (80,475), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("top of you ice pick in hand. Too late to move you accept the cold", (80,500), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("grip of death. (space)", (80,525), fontname = "dogicabold", fontsize=15, color = "black")

    elif game.current_state == 'scene95':
        screen.clear()
        background_WF.draw()
        Wizard.draw()
        text_box.draw()
        screen.draw.text("You decide not to pick up the axe, thinking any more attempts with", (80,450), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("it would be futile. “Why you must be asking for a death wish if", (80,475), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("you won’t even defend yourself. Well then let me answer that wish", (80,500), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("for you.” You close your eyes hoping this is all a dream and fall", (80,525), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("to the ground letting the cold sensation wash over you. (space)", (80,550), fontname = "dogicabold", fontsize=15, color = "black")

    elif game.current_state == 'scene94':
        screen.clear()
        background_WF.draw()
        snowball.draw()

        Wizard.draw()
        text_box.draw()
        screen.draw.text("You stand your ground, partially because you're too cold to move and", (80,450), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("partially because you think you're strong enough to cleave the boulder", (80,475), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("in two. After all it's only snow. However, as you go to strike the", (80,500), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("boulder, you realize how compact it is. You strike but only make", (80,525), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("the tiniest of dents. Unfortunately, your game is over. (space)", (80,550), fontname = "dogicabold", fontsize=15, color = "black")

    elif game.current_state == 'scene93':
        screen.clear()
        background_WF.draw()
        Wizard.draw()
        text_box.draw()
        screen.draw.text("Having missed your opportunity, the Wizard stands back up with such", (80,450), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("quickness, catching you off guard. You bring the axe over your head", (80,475), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("but not before the Wizard has stabbed both your feet with", (80,500), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("icicles, causing you to scream in pain while being bound to the", (80,525), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("frozen ground. Through hurried breaths the Wizard collects (space)", (80,550), fontname = "dogicabold", fontsize=15, color = "black")

    elif game.current_state == 'scene92':
        screen.clear()
        background_WF.draw()
        text_box.draw()
        screen.draw.text("himself before turning tail and running scared by how close you", (80,450), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("had come to defeating him. Weighing your options, you decide to", (80,475), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("rip out the icicles, allowing you to walk again, albeit at a slow", (80,500), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("pace. You only get about halfway back to town before collpasing", (80,525), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("from the cold and blood loss. In a last ditch effort for (space)", (80,550), fontname = "dogicabold", fontsize=15, color = "black")

    elif game.current_state == 'scene93a':
        screen.clear()
        background_WF.draw()
        text_box.draw()
        screen.draw.text("help you cry out but nothing can be heard over the.", (80,450), fontname = "dogicabold", fontsize=15, color = "black")
        screen.draw.text("raging storm overhead. (space)", (80,475), fontname = "dogicabold", fontsize=15, color = "black")
        
    clock.schedule_interval(animate_snowstorm, 1/60)

# def check_state(dt):
#     
#     global current_state
#     current_state += 1


# ###################################
# 
# #ANIMATED TEXT ATTEPT with chatGPT assitance
# 
# 
# 
# 
# # Set up the text
# text = "Hello, Pygame!"
# text_color = (255, 255, 255)  # White
# 
# # Set up animation variables
# frame_delay = 10  # Number of frames between each letter
# current_frame = 0# Set up the font
# # Render the animated text
# animated_text = text[:current_frame // frame_delay]
# 
# # Render the text
# text_surface = font.render(animated_text, True, text_color)
# 
# # Get the rectangle of the text surface
# text_rect = text_surface.get_rect()
# 
# # Center the text on the screen
# text_rect.center = (WIDTH // 2, HEIGHT // 2)
# 
# # Blit the text onto the screen
# screen.blit(text_surface, text_rect)
# 
# # Update the display
# pygame.display.flip()
# 
# # Control the frame rate
# pygame.time.Clock().tick(30)
# 
# # Increment the frame counter
# current_frame += 1
# 
# # Check if the animation is complete
# if current_frame // frame_delay > len(text):
#     current_frame = 0

def animate_snowstorm():

    global x_position, y_position
    x_position += x_speed 
    y_position += y_speed 
    
    if x_position > WIDTH:
        x_position = -WIDTH
    if y_position > HEIGHT:
        y_position = -HEIGHT

def on_key_down(key):
    #TITLE
    if game.current_state == 'title':
        if key == keys.RETURN:
            game.current_state = game.state[1]
    #SCENE1    
    elif game.current_state == 'scene1': #gamestate1
        if key == keys.Y:
            game.current_state = game.state[2] #scene2
        elif key == keys.N:
            game.current_state = game.state[45] #Gameover
    #SCENE2        
    elif game.current_state == 'scene2': #gamestate2
        if key == keys.Y:
            game.current_state = game.state[3] #scene3
        elif key == keys.N:
            game.current_state = game.state[26] #scene99
    #SCENE3        
    elif game.current_state == 'scene3':
         if key == keys.Y:
             game.current_state = game.state[4]
         elif key == keys.N:
             game.current_state = game.state[31]
    #SCENE4
    elif game.current_state == 'scene4':
         if key == keys.SPACE:
             game.current_state = game.state[5]
    #SCENE5
    elif game.current_state == 'scene5':
         if key == keys.SPACE:
             game.current_state = game.state[6]
    #SCENE6
    elif game.current_state == 'scene6':
         if key == keys.Y:
             game.current_state = game.state[38] #scene97
         elif key == keys.N:
             game.current_state = game.state[7] #scene7
             
    #SCENE7
    elif game.current_state == 'scene7':
         if key == keys.SPACE:
             game.current_state = game.state[8]
             
    elif game.current_state == 'scene7a':
         if key == keys.Y:
             game.current_state = game.state[9] #scene8
         elif key == keys.N:
             game.current_state = game.state[39] #scene 96
    #SCENE8      
    elif game.current_state == 'scene8':
         if key == keys.SPACE:
             game.current_state = game.state[10] #scene8a
                     
    #SCENE8      
    elif game.current_state == 'scene8a':
         if key == keys.N:
             game.current_state = game.state[13] #scene10
         if key == keys.Y:
             game.current_state = game.state[11] #scene9
    #SCENE10      
    elif game.current_state == 'scene10':
         if key == keys.SPACE:
             game.current_state = game.state[14] #scene11
    #SCENE11         
    elif game.current_state == 'scene11':
         if key == keys.SPACE:
             game.current_state = game.state[15] #scene11
    #SCENE12      
    elif game.current_state == 'scene11a':
         if key == keys.N:
             game.current_state = game.state[16] #scene12
         if key == keys.Y:
             game.current_state = game.state[41] #scene94
             
    elif game.current_state == 'scene12':
         if key == keys.SPACE:
             game.current_state = game.state[17] #scene12a
             
    elif game.current_state == 'scene12a': #17
         if key == keys.SPACE:
             game.current_state = game.state[18] #scene13

    elif game.current_state == 'scene13':
         if key == keys.Y:
             game.current_state = game.state[19] #scene14
         if key == keys.N:
             game.current_state = game.state[42] #scene93
   
    elif game.current_state == 'scene14': #19
         if key == keys.Y:
             game.current_state = game.state[20] #scene15
         if key == keys.N:
             game.current_state = game.state[42] #scene93
             
    elif game.current_state == 'scene15': #20
         if key == keys.SPACE:
             game.current_state = game.state[21] #scene15a         
             
    elif game.current_state == 'scene15a': #21
         if key == keys.SPACE:
             game.current_state = game.state[22] #scene16
    
    elif game.current_state == 'scene16': #22
         if key == keys.SPACE:
             game.current_state = game.state[23] #scene16a
             
    elif game.current_state == 'scene16a': #23
         if key == keys.SPACE:
             game.current_state = game.state[24] #scene17
             
    elif game.current_state == 'scene17': #24
         if key == keys.RETURN:
             game.current_state = game.state[0] #Title
            
    elif game.current_state == 'scene9': #11
         if key == keys.SPACE:
             game.current_state = game.state[12] #scene9a
    
    elif game.current_state == 'scene9a': #19
         if key == keys.Y:
             game.current_state = game.state[25] #scene18
         if key == keys.N:
             game.current_state = game.state[40] #scene95
     
    elif game.current_state == 'scene18': #25
         if key == keys.SPACE:
             game.current_state = game.state[14] #scene11
                      
             
    ###BAD ENDING PATHWAY
    elif game.current_state == 'scene99': #gamestate 26
         if key == keys.SPACE:
             game.current_state = game.state[27] #scene99A
             
    elif game.current_state == 'scene99A': #  
         if key == keys.Y:
             game.current_state = game.state[28] #scene98a
         if key == keys.N:
             game.current_state = game.state[29] #scene99b
             
    elif game.current_state == 'scene99b': #gamestate 26
         if key == keys.SPACE:
             game.current_state = game.state[3] #scene99A
             
    elif game.current_state == 'scene99a': #gamestate 26    
         if key == keys.Y:
             game.current_state = game.state[30] #scene99aa
         if key == keys.N:
             game.current_state = game.state[29] #scene99b         
         
    elif game.current_state == 'scene99aa': #gamestate 30
         if key == keys.SPACE:
             game.current_state = game.state[45] #GAMEOVER   
    
    elif game.current_state == 'scene98': #gamestate 26    
         if key == keys.Y:
             game.current_state = game.state[4] #scene4
         if key == keys.N:
             game.current_state = game.state[32] #scene98a
             
    elif game.current_state == 'scene98a': #gamestate 32
         if key == keys.SPACE:
             game.current_state = game.state[33] #gamestate 98aa        
         
    elif game.current_state == 'scene98aa': #gamestate 34
         if key == keys.SPACE:
             game.current_state = game.state[34] #gamestate 98AA 
    
    elif game.current_state == 'scene98AA': #gamestate 34
         if key == keys.SPACE:
             game.current_state = game.state[45] #Gameover
             
    elif game.current_state == 'scene97': #gamestate 38
         if key == keys.SPACE:
             game.current_state = game.state[45] #Gameover
             
    elif game.current_state == 'scene96': #gamestate 39
         if key == keys.SPACE:
             game.current_state = game.state[45] #Gameover 
    
    elif game.current_state == 'scene95': #gamestate 40
         if key == keys.SPACE:
             game.current_state = game.state[45] #Gameover
             
    elif game.current_state == 'scene94': #gamestate 41
         if key == keys.SPACE:
             game.current_state = game.state[45] #Gameover
    
    elif game.current_state == 'scene93': #gamestate 41
         if key == keys.SPACE:
             game.current_state = game.state[43] #scene92
             
    elif game.current_state == 'scene92': #gamestate 41
         if key == keys.SPACE:
             game.current_state = game.state[44] #scene93a
             
    elif game.current_state == 'scene93a': #gamestate 41
         if key == keys.SPACE:
             game.current_state = game.state[45] #Gameover
             
         
    #GAMEOVER         
    if game.current_state == 'gameover':
        if key == keys.RETURN:
            game.current_state = game.state[0]
            
    #Return to Title Screen
    if key == keys.BACKSLASH:
        game.current_state = game.state[0]
            
    if key == keys.ESCAPE:
        # Exit the program
        sys.exit()


def update(dt):
    pass
    #check_state(dt)
    #animate_snowstorm()

pgzrun.go()